curl --request GET \
--url https://dev.exante.app/api/conversations/{conversation_uid} \
--header 'Authorization: Bearer <token>'{
"status": "success",
"data": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "email",
"direction": "inbound",
"status": "draft",
"subject": "<string>",
"categories": [
"<string>"
],
"sent_at": "2023-11-07T05:31:56Z",
"is_read": true,
"has_reply": true,
"message_count": 123,
"metadata": {
"from_email": "<string>",
"from_name": "<string>",
"to_emails": [
"<string>"
],
"cc_emails": [
"<string>"
],
"snippet": "<string>",
"labels": [
"<string>"
],
"provider_message_id": "<string>",
"thread_id": "<string>",
"has_attachments": true,
"attachment_count": 123,
"history_id": 123
},
"agent_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"party_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_conversation_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_on": "2023-11-07T05:31:56Z",
"updated_on": "2023-11-07T05:31:56Z",
"messages": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_type": "party",
"direction": "inbound",
"message_direction": "inbound",
"provider_message_id": "<string>",
"from": {
"email": "<string>",
"name": "<string>"
},
"to": [
"<string>"
],
"cc": [
"<string>"
],
"subject": "<string>",
"snippet": "<string>",
"body_text": "<string>",
"body_html": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"is_read": true,
"has_attachments": true,
"attachment_count": 123,
"party_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"labels": [
"<string>"
],
"content": "<string>",
"content_type": "<string>",
"categories": [
"<string>"
],
"metadata": {},
"created_on": "2023-11-07T05:31:56Z"
}
]
}
}Returns a single conversation by UID, including all messages in the thread. The response includes the full message history with email-specific fields (from, to, cc, body, attachments).
curl --request GET \
--url https://dev.exante.app/api/conversations/{conversation_uid} \
--header 'Authorization: Bearer <token>'{
"status": "success",
"data": {
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"organization_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"channel": "email",
"direction": "inbound",
"status": "draft",
"subject": "<string>",
"categories": [
"<string>"
],
"sent_at": "2023-11-07T05:31:56Z",
"is_read": true,
"has_reply": true,
"message_count": 123,
"metadata": {
"from_email": "<string>",
"from_name": "<string>",
"to_emails": [
"<string>"
],
"cc_emails": [
"<string>"
],
"snippet": "<string>",
"labels": [
"<string>"
],
"provider_message_id": "<string>",
"thread_id": "<string>",
"has_attachments": true,
"attachment_count": 123,
"history_id": 123
},
"agent_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"party_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_by_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"parent_conversation_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_on": "2023-11-07T05:31:56Z",
"updated_on": "2023-11-07T05:31:56Z",
"messages": [
{
"uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversation_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"sender_type": "party",
"direction": "inbound",
"message_direction": "inbound",
"provider_message_id": "<string>",
"from": {
"email": "<string>",
"name": "<string>"
},
"to": [
"<string>"
],
"cc": [
"<string>"
],
"subject": "<string>",
"snippet": "<string>",
"body_text": "<string>",
"body_html": "<string>",
"sent_at": "2023-11-07T05:31:56Z",
"is_read": true,
"has_attachments": true,
"attachment_count": 123,
"party_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"labels": [
"<string>"
],
"content": "<string>",
"content_type": "<string>",
"categories": [
"<string>"
],
"metadata": {},
"created_on": "2023-11-07T05:31:56Z"
}
]
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Conversation UID.